<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Fetch API #01</title>
    <link rel='stylesheet' href='css/estilo.css'>
</head>

<body class="conteudo exercicio">
    <h1>Estados</h1>

    <script>
        const url = "dados/estados.json"
        fetch(url)//pega o que tem na url ou seja requisição 
            .then(resposta => resposta.json())//aqui ele recebe a resposta da requisição
            .then(estados => {
                const item = estados.reduce(
                    (html, estado) => html + `<li>${estado.nome}</li>`, ''
                )
                document.body.insertAdjacentHTML('beforeend', `<ul>${item}</ul>`)
            })
    </script>
</body>